From 630af887178ee02c9f2671efcb085759920aa6c7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 05:03:47 +0000
Subject: [PATCH 1127/2232] Clean up unneeded explicit iter()


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index cadeb4e..e612bee 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -54,7 +54,7 @@ fn gen_namespace_contents(
     let apis = ns_entries.entries();
 
     out.next_section();
-    for api in apis.iter() {
+    for api in apis {
         match api {
             Api::Struct(strct) => write_struct_decl(out, &strct.ident.cxx.ident),
             Api::CxxType(ety) => write_struct_using(out, &ety.ident.cxx),
@@ -64,7 +64,7 @@ fn gen_namespace_contents(
     }
 
     let mut methods_for_type = HashMap::new();
-    for api in apis.iter() {
+    for api in apis {
         if let Api::RustFunction(efn) = api {
             if let Some(receiver) = &efn.sig.receiver {
                 methods_for_type

